"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UIBuildCmd = void 0;
function _exceptions() {
  const data = require("./exceptions");
  _exceptions = function () {
    return data;
  };
  return data;
}
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
class UIBuildCmd {
  constructor(
  /**
   * access to the extension instance.
   */
  ui) {
    this.ui = ui;
    _defineProperty(this, "name", 'ui-build [type]');
    _defineProperty(this, "description", 'build production assets for deployment.');
    _defineProperty(this, "alias", 'c');
    _defineProperty(this, "group", 'development');
    _defineProperty(this, "options", []);
    _defineProperty(this, "private", true);
  }
  async report([type]) {
    // teambit.workspace/variants should be the one to take care of component patterns.
    const stats = await this.ui.build(type);
    if (!stats) throw new (_exceptions().UnknownBuildError)();
    return stats.toString();
  }
}
exports.UIBuildCmd = UIBuildCmd;

//# sourceMappingURL=ui-build.cmd.js.map